Subject: Re: linux-next: tip-core build failure

From: Rui Sousa <[email-masked]>
Date: Mon, 15 Sep 2008 15:02:48 +0200

On Monday 15 September 2008 10:11, Ingo Molnar wrote:
> * Stephen Rothwell <[email-masked]> wrote:
> > Hi Ingo,
> >
> > On Sun, 14 Sep 2008 21:17:09 +0200 Ingo Molnar <[email-masked]> wrote:
> > > * Stephen Rothwell <[email-masked]> wrote:
> > > > On Sun, 14 Sep 2008 20:36:29 +0200 Ingo Molnar <[email-masked]> wrote:
> > > > > [ ... just used by 90%+ of our active testers/developers ;-) ... ]
> > > >
> > > > An irrelevant argument in this case.
> > >
> > > why is the actual usage distribution of Linux irrelevant? We make
> >
> > Notice the "in this case"?  In this case the code being changed
> > clearly could affect other architectures, so checking that x86 is OK
> > is clearly not enough (and that does not mean building it for 20+
> > other architectures, just using grep to see the consequences of the
> > change and maybe discussing it with the affected architecture
> > maintainers or on linux-arch).
>
> again, the side effects were not realized. Pretty much _any_ patch that
> is not strictly restricted to a single architecture 'could' affect other
> architectures. Any change to a common .h or .c file could do that - and
> 90% of Linux's source code is in common files.
>
> Hence your suggestion that we should have found this breakage makes no
> sense in practice as it's not reliably testable.
>
> Yes, for things like sparseirq support we pretty much expected
> cross-arch fallout so we checked a ton of architectures. For other
> patches bugs can slip through, and that's OK as we really dont want to
> dog down pretty much every patch with the requirement to cross-build.
>
> 	Ingo

Hi,

I have just subscribed to linux-arch and will work on a patch updating all 
archictures. Once I have it I will post it on the list for discussion/review.

One thing that would be nice, but I don't see how it can be done in practice,
is to have a public server, where people can submit their patches and at least
make sure they compile on all archictetures.

Thanks,
Rui